Subject: Re: margay fails assertion in stats/dsa/dsm code

From: Thomas Munro <[email-masked]>
Date: Thu, 22 Feb 2024 10:10:10 +1300

On Sat, Jul 2, 2022 at 11:10 AM Thomas Munro <[email-masked]> wrote:
> On Sat, Jul 2, 2022 at 1:15 AM Robert Haas <[email-masked]> wrote:
> > Changing the default on certain platforms to 'posix' or 'sysv'
> > according to what works best on that platform seems reasonable to me.
>
> Ok, I'm going to make that change in 15 + master.

For the record, I asked a Solaris kernel engineer about that
shm_open() problem and learned that a fix shipped about a month after
we had this discussion (though I haven't tested it myself):

https://twitter.com/casperdik/status/1730288613722562986

I also reported the issue to illumos, since I'd like to be able to
revert 94ebf811 eventually...:

https://www.illumos.org/issues/16093